import { Pico } from "../deps.ts";
import config from "../config.ts";

const styles = new TextDecoder().decode(
   Deno.readFileSync("src/views/styles.css")
);

// href="https://unpkg.com/papercss@1.6.1/dist/paper.min.css"
export default function Base(p: any, children: any[]) {
   const title = p.title || "DenReg";
   return (
      <html lang="en">
         <head>
            <meta charset="UTF-8"></meta>
            {/* <link
               rel="stylesheet"
               href="https://deno.hibas123.de/raw/@hibas123-theme@2.0.2/out/base.css"
            /> */}
            <link rel="stylesheet" href="/public/paper.min.css" />
            <link
               rel="apple-touch-icon"
               sizes="57x57"
               href="/public/apple-icon-57x57.png"
            />
            <link
               rel="apple-touch-icon"
               sizes="60x60"
               href="/public/apple-icon-60x60.png"
            />
            <link
               rel="apple-touch-icon"
               sizes="72x72"
               href="/public/apple-icon-72x72.png"
            />
            <link
               rel="apple-touch-icon"
               sizes="76x76"
               href="/public/apple-icon-76x76.png"
            />
            <link
               rel="apple-touch-icon"
               sizes="114x114"
               href="/public/apple-icon-114x114.png"
            />
            <link
               rel="apple-touch-icon"
               sizes="120x120"
               href="/public/apple-icon-120x120.png"
            />
            <link
               rel="apple-touch-icon"
               sizes="144x144"
               href="/public/apple-icon-144x144.png"
            />
            <link
               rel="apple-touch-icon"
               sizes="152x152"
               href="/public/apple-icon-152x152.png"
            />
            <link
               rel="apple-touch-icon"
               sizes="180x180"
               href="/public/apple-icon-180x180.png"
            />
            <link
               rel="icon"
               type="image/png"
               sizes="192x192"
               href="/public/android-icon-192x192.png"
            />
            <link
               rel="icon"
               type="image/png"
               sizes="32x32"
               href="/public/favicon-32x32.png"
            />
            <link
               rel="icon"
               type="image/png"
               sizes="96x96"
               href="/public/favicon-96x96.png"
            />
            <link
               rel="icon"
               type="image/png"
               sizes="16x16"
               href="/public/favicon-16x16.png"
            />
            <link rel="manifest" href="/public/manifest.json" />
            <meta name="msapplication-TileColor" content="#ffffff" />
            <meta
               name="msapplication-TileImage"
               content="/public/ms-icon-144x144.png"
            />
            <meta name="theme-color" content="#ffffff"></meta>
            <link href="/public/prism.css" rel="stylesheet" />
            <style innerHTML={styles}></style>
            <title>{title}</title>
            <meta
               name="Description"
               content="Deno package registry. Includes version management, deprecation of packages as well as a CDN for distributing deno packages."
            />
            <meta
               name="viewport"
               content="width=device-width,initial-scale=1"
            />
         </head>
         <body class="site">
            {config.web.tracking && (
               <tracking innerHTML={config.web.tracking}></tracking>
            )}
            {children}
         </body>
      </html>
   );
}
